org.springframework.cloud.dataflow.shell.command.support

## Enum RoleType

- java.lang.Object
- - java.lang.Enum<RoleType>
  - - org.springframework.cloud.dataflow.shell.command.support.RoleType

- All Implemented Interfaces:
    Serializable, Comparable<RoleType>

      public enum RoleType
      extends Enum<RoleType>

  Author:
    Gunnar Hillert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `DEPLOY`
    `DESTROY`
    `MANAGE`
    `MODIFY`
    `SCHEDULE`
    `VIEW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RoleType` | `fromKey(String role)` Returns a Shell-specific role for the passed in role key.
    `String` | `getKey()`
    `String` | `getName()`
    `static RoleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RoleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIEW

          public static final RoleType VIEW

    - #### CREATE

          public static final RoleType CREATE

    - #### MANAGE

          public static final RoleType MANAGE

    - #### MODIFY

          public static final RoleType MODIFY

    - #### DEPLOY

          public static final RoleType DEPLOY

    - #### DESTROY

          public static final RoleType DESTROY

    - #### SCHEDULE

          public static final RoleType SCHEDULE

  - ### Method Detail

    - #### values

          public static RoleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RoleType c : RoleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RoleType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromKey

          public static RoleType fromKey(String role)

      Returns a Shell-specific role for the passed in role key.
      Parameters:
        `role` - Must not be null or empty
      Returns:
        The shell role. Never null.

    - #### getKey

          public String getKey()

    - #### getName

          public String getName()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.